be.fgov.ehealth.hubservices.core.v2

## Class TherapeuticExclusionWithOperationContext

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionType
  - - be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionWithOperationContext

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:54:32+02:00",
                 comments="JAXB RI v2.3.7")
      public class TherapeuticExclusionWithOperationContext
      extends TherapeuticExclusionType
      implements Serializable

  Java class for TherapeuticExclusionWithOperationContext complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TherapeuticExclusionWithOperationContext">
         <complexContent>
           <extension base="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionType">
             <sequence>
               <element name="operationcontext" type="{http://www.ehealth.fgov.be/hubservices/core/v2}OperationContextType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapeuticExclusionWithOperationContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<OperationContextType>` | `getOperationcontexts()` Gets the value of the operationcontexts property.

    - ### Methods inherited from class be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionType

      `getHcparty, getPatient, setHcparty, setPatient`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapeuticExclusionWithOperationContext

          public TherapeuticExclusionWithOperationContext()

  - ### Method Detail

    - #### getOperationcontexts

          public List<OperationContextType> getOperationcontexts()

      Gets the value of the operationcontexts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the operationcontexts property.

      For example, to add a new item, do as follows:

              getOperationcontexts().add(newItem);

      Objects of the following type(s) are allowed in the list `OperationContextType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.